extern	BOOLEAN	SCR_BelongInWindow();
extern	void	SCR_InitSplit();
extern	void	SCR_SplitNet();
extern	void	SCR_SFRT_Net();
extern	void	SCR_WeightTracks();
extern	void	SCR_InsertNewLine();
extern	void	SCR_UpDateDataBase();
extern	void	Step1();
extern	void	Step2();
extern	void	Step3();
extern	void	Step4();
extern	void	Step5();
extern	void	Step6();
extern	void	SCR_EndingNotCollapsingNets();
extern	void	SCR_GreedyRouter();
